DEV_OPEN(9)

NAME
dev_open - prepare an interface for use.

SYNOPSIS

int dev_open (struct net_device * dev);

ARGUMENTS

dev device to open

DESCRIPTION

Takes a device from down to up state. The device's private open function is invoked and then the multicast lists are loaded. Finally the device is moved into the up state and a NETDEV_UP message is sent to the netdev notifier chain.

Calling this function on an active interface is a nop. On a failure a negative errno code is returned.